> ## Documentation Index
> Fetch the complete documentation index at: https://doc.allcomtelecom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Detalhes de um dispositivo satelital

> Detalha as características e informações de um dispositivo satelital



## OpenAPI

````yaml GET /satellite/devices/{id}/details
openapi: 3.0.1
info:
  title: OpenAPI Auth Store
  description: API de exemplo para demonstração de autenticação e obtenção de tokens.
  license:
    name: Allcom Telecom
  version: 1.0.0
servers:
  - url: >-
      https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1
security: []
paths:
  /satellite/devices/{id}/details:
    servers:
      - url: >-
          https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1
        description: Detalha as características e informações de um dispositivo satelital
    get:
      description: Detalha as características e informações de um dispositivo satelital
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: |-
            Define o formato da requisição.

            🔹 **Valor padrão:**
            ```
            application/json
            ```
            📌 **Dica:** Copie e cole esse valor no campo Content-Type.
          schema:
            type: string
            example: application/json
            default: application/json
        - name: client_id
          in: header
          required: true
          schema:
            type: string
            description: Identificador do client id do sensedia
            example: '123'
        - name: access_token
          in: header
          required: true
          schema:
            type: string
            description: Token gerado
            example: Basic MzQ4OSozNDMyLTMOMzItMTIz
        - name: id
          in: path
          required: true
          description: >-
            Identificador da tabela de dispositivos (parâmetro encontrado na API
            /satellite/devices campo responde id) id
          schema:
            type: string
            example: '123'
      responses:
        '200':
          description: Detalhes do dispositivo satélite
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: string
                    description: Token de acesso gerado.
                    example:
                      id: 0
                      idTerminal: 0
                      virtualAccountId: 0
                      deviceId: string
                      status: PRE_ACTIVE
                      syncId: 0
                      description: string
                      enabled: true
                      state: string
                      gatewayAccountId: 0
                      sourceGatewayAccountId: 0
                      ipServiceAddress: string
                      activationDate: '2025-08-06T16:57:41.978Z'
                      cancellationDate: '2025-08-06T16:57:41.978Z'
                      statusCode: 0
                      statusMessage: string
                      timestamp: '2025-08-06T16:57:41.978Z'
                      serviceProviderId: 0
                      serialNumber: string
                      imei: string
                      macAddress: string
                      meid: string
                      pairedTo: string
                      termBalance: 0
                      iig: true
                      autoActivation: true
                      productFamily: string
                      partNumber: string
                      hardwareVersion: string
                      firmwarePackageVersion: string
                      modemSoftwareVersion: string
                      unitId: string
                      actualOwnerId: 0
                      updatedAt: '2025-08-06T16:57:41.978Z'
                      updatedBy: string
                      consumptionDaily: 0
                      consumptionValidated: 0
              example:
                id: 0
                idTerminal: 0
                virtualAccountId: 0
                deviceId: string
                status: PRE_ACTIVE
                syncId: 0
                description: string
                enabled: true
                state: string
                gatewayAccountId: 0
                sourceGatewayAccountId: 0
                ipServiceAddress: string
                activationDate: '2025-08-06T16:57:41.978Z'
                cancellationDate: '2025-08-06T16:57:41.978Z'
                statusCode: 0
                statusMessage: string
                timestamp: '2025-08-06T16:57:41.978Z'
                serviceProviderId: 0
                serialNumber: string
                imei: string
                macAddress: string
                meid: string
                pairedTo: string
                termBalance: 0
                iig: true
                autoActivation: true
                productFamily: string
                partNumber: string
                hardwareVersion: string
                firmwarePackageVersion: string
                modemSoftwareVersion: string
                unitId: string
                actualOwnerId: 0
                updatedAt: '2025-08-06T16:57:41.978Z'
                updatedBy: string
                consumptionDaily: 0
                consumptionValidated: 0
        '400':
          description: Requisição mal formada.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Parameter not found
              example:
                error: Requisição mal formada.
        '401':
          description: Requisição requer autenticação.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Requisição requer autenticação.
        '403':
          description: O acesso ao recurso foi negado.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: O acesso ao recurso foi negado.
        '404':
          description: URI de API/Recurso inexiste para processamento.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: URI de API/Recurso inexiste para processamento.
        '500':
          description: Erro Interno do servidor.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Parameter not found
              example:
                error: Erro Interno do servidor.

````